Bug 149893 - SVG: fill property in uppercase doesn't work
Summary: SVG: fill property in uppercase doesn't work
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
7.5.0.0 alpha0+ Master
Hardware: All All
: medium normal
Assignee: Xisco Faulí
URL:
Whiteboard: target:7.5.0 target:7.4.0.2 target:7.3.6
Keywords: filter:svg
Depends on:
Blocks:
 
Reported: 2022-07-07 10:31 UTC by Xisco Faulí
Modified: 2022-07-11 04:37 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
sample file (144 bytes, image/svg+xml)
2022-07-07 10:31 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2022-07-07 10:31:44 UTC
Created attachment 181150 [details]
sample file

Steps to reproduce:
1. Open attached document

-> It should be green. it's black instead

Reproduced in

Version: 7.5.0.0.alpha0+ / LibreOffice Community
Build ID: e4066a41406b1ddd454901b4fa718cf9be2746c4
CPU threads: 8; OS: Linux 5.10; UI render: default; VCL: gtk3
Locale: es-ES (es_ES.UTF-8); UI: en-US
Calc: threaded
Comment 1 Commit Notification 2022-07-07 11:48:41 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/cded65d05a01ac34af750ddb97f1ffb51f3d638a

tdf#149893: Color names are ASCII case-insensitive

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2022-07-07 13:47:27 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/25d0b479406574d318de89ad6252d35cc2ca2884

tdf#149893: Color names are ASCII case-insensitive

It will be available in 7.4.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2022-07-08 03:14:35 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/de722a935c4a6fbde1e09da79840cca63fdafac1

tdf#149893: Color names are ASCII case-insensitive

It will be available in 7.3.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2022-07-08 11:55:08 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a3e9fede7e998979db7941a527496eb98c822e98

related: tdf#149893: trim the color name

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2022-07-09 07:19:21 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/7e5abaa388e39e01b02c0d6c9b2d60ae56442f78

related: tdf#149893: trim the color name

It will be available in 7.4.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2022-07-11 04:37:00 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/4273b690e0dbe94ec76beea455ae8244ac8991e1

related: tdf#149893: trim the color name

It will be available in 7.3.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.